-- create halo
local mesh = Mesh2D.circle(settings.radius)
local halo = Node2D.new()
halo:addMesh( mesh )
halo.color = settings.color
halo:spawn()

-- step each frame and update halo position to match cursor position
function step(deltaTime)
    halo.position = ym.getCursorPosition()
end
